{# {%
    module_entities          : Array of objects  | Required.
    module_slug              : String            | Required.
    module_route_name        : String            | Required.
    module_container_classes : Array of strings
    module_entry_classes     : Array of strings
    module_link_classes      : Array of strings
%} #}

{% set module_container_classes = module_container_classes|default([]) %}
{% set module_entry_classes = module_entry_classes|default([]) %}
{% set module_link_classes = module_link_classes|default([]) %}

{% if module_entities is defined and module_entities != null %}
    <ul class="nav-tab {{ module_container_classes|join(' ') }}">
        {% for entity in module_entities %}
            {% if entity.show is not defined or entity.show == true %}
                <li class="nav-tab-item {{ module_route_name == entity.route_name ? 'nav-tab-item-active' : '' }}  {{ module_entry_classes|join(' ') }}">
                    <a href="{{ path(entity.route_name, {'slug': entity.slug }) }}" class="nav-tab-link  {{ module_link_classes|join(' ') }}">{{ entity.label }}</a>
                </li>
            {% endif %}
        {% endfor %}
    </ul>
{% endif %}